---
updatedAt: 2026-09-04T07:06:48.000Z
agentTools:
  projectIndex: https://documentation.indigitall.com/llms.txt
---

# Simulate sending cost

Simulate the unit cost of several sendings

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "2.0.0",
    "title": "INDIGITALL API",
    "x-logo": {
      "url": "https://console.indigitall.com/images/logo_verdeblanco@2x.png",
      "backgroundColor": "#0F3B7A"
    },
    "description": "\n### Introduction:\nThis documentation describes every endpoint of Indigitall's API v2\n\nAPI BASE URL: https://api.indigitall.com/v2\n\n### Authentication:\n\nMost of the endpoints of the API needs an Authorization header.\n\nThere are two Authorization ways:\n\n- If your intention is to manage API calls with a server-side script you have to create a Server key through Indigitall's console.\n\n  You can set the following Authorization Header : 'Authorization: ServerKey {ServerKey}'\n- If your intention is to integrate this API for front-end users POST /auth endpoint authorizes a user and returns an access token.\n\n  You can set the following Authorization Header : 'Authorization: Bearer {Token}'\n"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "sms-cost",
      "x-displayName": "SMS - Costs"
    }
  ],
  "x-tagGroups": [
    {
      "name": "Chat Service",
      "tags": [
        "chat-configuration",
        "chat-channel",
        "chat-contact",
        "chat-integration",
        "chat-task",
        "chat-campaign",
        "chat-send",
        "chat-multimedia",
        "chat-slicing",
        "chat-tag",
        "chat-contact-list",
        "chat-cc-agent",
        "chat-cc-permissions-profile",
        "chat-cc-weekly-schedule",
        "chat-cc-special-days-schedule",
        "chat-cc-conversation",
        "chat-cc-agent-group",
        "chat-cc-contact-comment",
        "chat-cc-form",
        "chat-stats",
        "chat-internal"
      ]
    },
    {
      "name": "Customer Service",
      "tags": [
        "customer-service-adviser",
        "customer-service-customer",
        "customer-service-customer-csv",
        "customer-service-customer-field",
        "customer-service-customer-journey",
        "customer-service-customer-journey-template",
        "customer-service-customer-journey-control",
        "customer-service-customer-send",
        "customer-service-stats",
        "customer-service-webhook-template",
        "customer-service-segment",
        "customer-service-audience",
        "customer-service-application",
        "customer-service-journeywaitqueue",
        "customer-service-task",
        "customer-service-cdpeventtype",
        "customer-service-cdpeventtypetemplate",
        "customer-service-internal"
      ]
    },
    {
      "name": "Email Service",
      "tags": [
        "es-configuration",
        "es-configurationDomain",
        "es-configurationDomainEmail",
        "es-footer",
        "es-audience",
        "es-contact",
        "es-category",
        "es-campaign",
        "es-campaign-block",
        "es-campaign block-column",
        "es-campaign-multimedia",
        "es-shipment",
        "es-attachment",
        "es-statistics",
        "es-webhook",
        "es-tasks"
      ]
    },
    {
      "name": "InApp Service",
      "tags": [
        "inapp-configuration",
        "inapp-campaign",
        "inapp-schema",
        "inapp-topic",
        "inapp-multimedia",
        "inapp-form",
        "inapp-stats",
        "inapp-audience",
        "inapp-task"
      ]
    },
    {
      "name": "SMS Service",
      "tags": [
        "sms-campaign",
        "sms-configuration",
        "sms-contact",
        "sms-send",
        "sms-stats",
        "sms-topic",
        "sms-cost",
        "sms-webhook",
        "sms-private"
      ]
    },
    {
      "name": "Wallet Service",
      "tags": [
        "wallet-project",
        "wallet-images",
        "wallet-tasks",
        "wallet-notifications",
        "wallet-template",
        "wallet-loyalty-pass",
        "wallet-loyalty-template",
        "wallet-offer-pass",
        "wallet-offer-template",
        "wallet-generic-pass",
        "wallet-generic-template"
      ]
    },
    {
      "name": "Stats Service",
      "tags": [
        "stats-service-chat",
        "stats-service-cs",
        "stats-service-report",
        "stats-service-wallet",
        "stats-service-meta"
      ]
    },
    {
      "name": "ChatGen service",
      "tags": [
        "icc-chatgen-gateway-agent",
        "icc-chatgen-gateway-api-tool",
        "icc-chatgen-gateway-configured-custom-tool",
        "icc-chatgen-gateway-conversation",
        "icc-chatgen-gateway-custom-tool",
        "icc-chatgen-gateway-document",
        "icc-chatgen-gateway-file",
        "icc-chatgen-gateway-instance-config",
        "icc-chatgen-gateway-router-agent-tool",
        "icc-chatgen-gateway-router-agent"
      ]
    },
    {
      "name": "AI Assitant service",
      "tags": [
        "ai-generator-campaign"
      ]
    },
    {
      "name": "Meta Service",
      "tags": [
        "meta-cloudapi",
        "meta-configuration",
        "meta-webhook",
        "meta-business",
        "meta-templates",
        "meta-upload"
      ]
    },
    {
      "name": "Push Live Service",
      "tags": [
        "push-live-configuration",
        "push-live-ios-class",
        "push-live-activity",
        "push-live-send"
      ]
    },
    {
      "name": "Pathbot",
      "tags": [
        "pathbot-agents",
        "pathbot-applications",
        "pathbot-documents",
        "pathbot-flows",
        "pathbot-tools",
        "pathbot-nodes",
        "pathbot-ingestion-sources",
        "pathbot-evaluation",
        "pathbot-skills"
      ]
    },
    {
      "name": "Link Service",
      "tags": [
        "link-short-domain"
      ]
    }
  ],
  "servers": [
    {
      "url": "https://api.indigitall.com/v2"
    }
  ],
  "paths": {
    "/sms/cost/simulate": {
      "post": {
        "tags": [
          "sms-cost"
        ],
        "x-eov-operation-handler": "costController",
        "operationId": "smsSimulateCost",
        "x-gateway-endpoint": "smsService",
        "summary": "Simulate sending cost",
        "description": "Simulate the unit cost of several sendings",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UNIT_COST_CALCULATE_REQUEST"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Simulation result",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/COST_SIMULATE_RESPONSE_LIST"
                }
              }
            }
          },
          "default": {
            "description": "Error 5XX, 4XX",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BASE_ERROR_RESPONSE"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Authorization for accesing endpoints , must be in one of the following format:\n- **Bearer {token}**\n- **ServerKey {key}**\n"
      }
    },
    "schemas": {
      "BASE_RESPONSE": {
        "type": "object",
        "required": [
          "statusCode",
          "message"
        ],
        "properties": {
          "statusCode": {
            "type": "integer",
            "description": "HTTP status code"
          },
          "message": {
            "type": "string",
            "description": "Message about response"
          },
          "data": {
            "type": "object",
            "description": "Response data"
          }
        }
      },
      "BASE_ERROR_RESPONSE": {
        "type": "object",
        "required": [
          "statusCode",
          "message"
        ],
        "properties": {
          "statusCode": {
            "type": "integer",
            "description": "HTTP error code"
          },
          "message": {
            "type": "string",
            "description": "Message about error"
          }
        }
      },
      "COST_SIMULATE_RESPONSE_LIST": {
        "allOf": [
          {
            "$ref": "#/components/schemas/BASE_RESPONSE"
          },
          {
            "type": "object",
            "required": [
              "data"
            ],
            "properties": {
              "data": {
                "$ref": "#/components/schemas/UNIT_COST_SIMULATE_RESPONSE_OBJECT"
              }
            }
          }
        ]
      },
      "UNIT_COST_CALCULATE_REQUEST": {
        "required": [
          "applicationId"
        ],
        "properties": {
          "applicationId": {
            "type": "number"
          },
          "simulate": {
            "type": "array",
            "description": "Allows to obtain the simulated cost of a sending to several mobile phones",
            "items": {
              "type": "object",
              "required": [
                "countryCode",
                "message"
              ],
              "properties": {
                "countryCode": {
                  "$ref": "#/components/schemas/CONTACT_COUNTRY_CODE_PROP"
                },
                "sendDate": {
                  "type": "string",
                  "nullable": true,
                  "format": "date-time",
                  "description": "Sending date. If not indicated, the current date will be used"
                },
                "message": {
                  "type": "string",
                  "nullable": false,
                  "description": "Message to send"
                },
                "sendType": {
                  "type": "string",
                  "nullable": true,
                  "enum": [
                    "list",
                    "all",
                    "csv"
                  ],
                  "description": "Send type to filter unit costs by.\n\nIf not indicated, only unitCosts with default (empty) sendType will be considered.\n"
                }
              }
            }
          }
        }
      },
      "UNIT_COST_SIMULATE_RESPONSE_OBJECT": {
        "properties": {
          "totalCost": {
            "type": "number",
            "description": "Sum of all sendings. The total may not be complete if there was an error processing any of the sendings"
          },
          "unitCosts": {
            "type": "array",
            "items": {
              "properties": {
                "countryCode": {
                  "$ref": "#/components/schemas/CONTACT_COUNTRY_CODE_PROP"
                },
                "sendDate": {
                  "type": "string",
                  "nullable": true,
                  "format": "date-time"
                },
                "totalCost": {
                  "type": "number",
                  "nullable": true,
                  "description": "Sending cost"
                },
                "cost": {
                  "type": "number",
                  "nullable": false,
                  "description": "Subtotal sending. Without applying rate value"
                },
                "rate": {
                  "type": "number",
                  "nullable": true,
                  "description": "Rate to apply"
                },
                "costId": {
                  "type": "number",
                  "nullable": true,
                  "description": "Id of the unit_cost element from which the cost value was obtained"
                },
                "rateId": {
                  "type": "number",
                  "nullable": true,
                  "description": "Id of the unit_cost element from which the rate value was obtained"
                },
                "error": {
                  "type": "string",
                  "nullable": true,
                  "description": "If the price could not be processed, the reason will be indicated"
                }
              }
            }
          }
        }
      },
      "CONTACT_COUNTRY_CODE_PROP": {
        "type": "string",
        "description": "contact's country code",
        "maxLength": 5,
        "minLength": 1
      }
    }
  }
}
```